Update realtime trigger security settings
Update realtime trigger security configuration and access controls
Authentication: required
PUT
/
workspace
/
{workspace_id}
/
realtime
/
channel
/
trigger
/
{trigger_id}
/
security
Update realtime trigger security settings
curl --request PUT \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/realtime/channel/trigger/{trigger_id}/security \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"guid": "<string>",
"include_xanoscript": true
}
'import requests
url = "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/realtime/channel/trigger/{trigger_id}/security"
payload = {
"guid": "<string>",
"include_xanoscript": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({guid: '<string>', include_xanoscript: true})
};
fetch('https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/realtime/channel/trigger/{trigger_id}/security', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"created_at": "2023-04-19 21:01:32+0000",
"updated_at": "2023-04-19 21:01:32+0000",
"name": "Realtime Trigger",
"description": "My realtime trigger test description",
"guid": "YE1fwVhQ-enRlc6Sb42Gqru58-0",
"branch": "v1",
"tag": [
"example tag"
],
"actions": {
"message": true,
"join": true
},
"xanoscript": {
"value": "<string>",
"message": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Success!
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Related topics
Update workspace trigger security settingsUpdate table trigger security settingsUpdate agent trigger security settingsWas this page helpful?
⌘I
Update realtime trigger security settings
